> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a series entry

> Create a new entry in a given series idempotently with the given UUID (any version).

<ResponseExample>
  ```json Example theme={"system"}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "created_at": "2023-01-25T08:04:14.245Z",
    "updated_at": "2023-01-25T08:04:14.245Z",
    "series_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "code": "string",
    "meta": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "previous_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "sigs": ["string"]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml PUT /sequence/v1/series/{series_id}/entries/{id}
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    The Invopop Sequence Service API allows you to define a "series" whose
    entries are guaranteed to be sequential.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Sequence Service API
  version: 1.0.3
servers:
  - description: production
    url: https://api.invopop.com
security:
  - authToken: []
paths:
  /sequence/v1/series/{series_id}/entries/{id}:
    put:
      description: >-
        Create a new entry in a given series idempotently with the given UUID
        (any version).
      parameters:
        - description: UUID of the series to fetch entries for
          in: path
          name: series_id
          required: true
          schema:
            description: UUID of the series to fetch entries for
            title: Series ID
            type: string
        - description: The UUID (any version) of the entry to create.
          in: path
          name: id
          required: true
          schema:
            description: The UUID (any version) of the entry to create.
            example: a8904315-3d16-4a95-91c1-30d6cdde553e
            title: ID
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SequenceCreateEntry'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SequenceEntry'
          description: OK
components:
  schemas:
    SequenceCreateEntry:
      properties:
        meta:
          additionalProperties:
            type: string
          description: >-
            A set of key/value pairs that can be used to store additional
            information about the entry.
          example:
            name: John Doe
          title: Meta
          type: object
        sig:
          description: JSON Web Signature of the key properties used to create the entry.
          title: Signature
          type: string
      type: object
    SequenceEntry:
      properties:
        code:
          description: The complete code for the entry, including prefix and suffix.
          example: INV-00001-F1
          title: Code
          type: string
        created_at:
          description: The date and time the entry was created.
          example: '2020-10-01T00:00:00Z'
          title: Created At
          type: string
        id:
          description: The UUID (any version) of the entry.
          example: a8904315-3d16-4a95-91c1-30d6cdde553e
          title: ID
          type: string
        meta:
          additionalProperties:
            type: string
          description: >-
            A set of key/value pairs that can be used to store additional
            information about the entry.
          example:
            name: John Doe
          title: Meta
          type: object
        previous_id:
          description: The UUID of the previous entry in the series.
          example: a8904315-3d16-4a95-91c1-30d6cdde553e
          title: Previous ID
          type: string
        series_id:
          description: The UUID of the series the entry belongs to.
          example: a8904315-3d16-4a95-91c1-30d6cdde553e
          title: Series ID
          type: string
        sigs:
          description: >-
            Set of JSON Web Signatures validating the information contained in
            the entry.
          items:
            type: string
          title: Signatures
          type: array
        updated_at:
          description: The date and time the entry was last updated.
          example: '2020-10-01T00:00:00Z'
          title: Updated At
          type: string
      type: object
  securitySchemes:
    authToken:
      bearerFormat: JWT
      description: >-
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.
        Example: `Authorization: Bearer <token>`
      scheme: bearer
      type: http

````